$(document).ready(function() {

    $("#calendar").kendoScheduler({
        date: new Date(),
        majorTimeHeaderTemplate: kendo.template("<strong>#=kendo.toString(date, 'HH:mm')#</strong>"),
        startTime: new Date("2018/7/21 00:00"),
        endTime: new Date("2018/7/21 24:00"),
        eventHeight: 10,
        selectable: false,
        // editable: false,
        majorTick: 60,
        minorTickCount: 1,
        // currentTimeMarker: {
        //    useLocalTimezone: true
        //   },
        timezone: "Etc/UTC",
        views: ["timeline", "timelineWeek", "timelineWorkWeek", {
                type: "timeline",
                majorTick: 60
        }],

        group: {
            resources: ["Rooms", "Attendees"],
            orientation: "vertical"
        },
        resources: [{
                field: "roomId",
                name: "Rooms",
                title: "Room",
                dataSource: [
                        { text: "Resource 1",  value: 1,  color: "#6eb3fa" },
                        { text: "Resource 2",  value: 2,  color: "#f58a8a" },
                        { text: "Resource 3",  value: 3,  color: "#6eb3fa" },
                        { text: "Resource 4",  value: 4,  color: "#f58a8a" },
                        { text: "Resource 5",  value: 5,  color: "#6eb3fa" },
                        { text: "Resource 6",  value: 6,  color: "#f58a8a" },
                        { text: "Resource 7",  value: 7,  color: "#6eb3fa" },
                        { text: "Resource 8",  value: 8,  color: "#f58a8a" },
                        { text: "Resource 9",  value: 9,  color: "#6eb3fa" },
                        { text: "Resource 10", value: 10, color: "#f58a8a" }
                ],
        }],

    });

});
