module ResourcePlanner
  class ResourcePlannerController < ::ResourcePlanner.parent_controller.constantize

    helper ::ResourcePlanner::ResourcePlannerHelper

    before_action :get_uri_info
    before_action :get_resource_models

    helper_method :mounted_path

    def get_uri_info
      @mounted_path = ::ResourcePlanner.mounted_path
      #puts "**************:" + @mounted_path
    end

    def mounted_path
      @mounted_path
    end

    protected

    def back_url
      params[:back_url] || request.env['HTTP_REFERER'] || root_url
    end

    private

    def get_resource_models
      @resource_models = ::ResourcePlanner.resource_models
    end

  end
end
