module ResourcePlanner
  class AvailabiltyDateDefinition < ActiveRecord::Base

    belongs_to :resource, :polymorphic => true
    belongs_to :availabilty_date, :class_name => '::ResourcePlanner::Event'

    #----------------------------------------------------------------------------

    #attr_accessible :name
    #attr_accessible :resource, :resource_id, :resource_type
    #attr_accessible :availabilty_date, :availabilty_date_id

    #----------------------------------------------------------------------------

    validates :resource, :presence => true
    validates :availabilty_date, :presence => true

    #----------------------------------------------------------------------------

    def to_s
      ((name.nil? || name.empty?) ? '' : "#{name} - ") + "#{resource} - #{availabilty_date}"
    end

    #----------------------------------------------------------------------------

    private

  end
end
