module ResourcePlanner
  class AvailabiltyRestrictionDefinition < ActiveRecord::Base

    belongs_to :resource, :polymorphic => true
    belongs_to :availabilty_restriction, :class_name => '::ResourcePlanner::Event'

    #----------------------------------------------------------------------------

    #attr_accessible :name
    #attr_accessible :resource, :resource_id, :resource_type
    #attr_accessible :availabilty_restriction, :availabilty_restriction_id

    #----------------------------------------------------------------------------

    validates :resource, :presence => true
    validates :availabilty_restriction, :presence => true

    #----------------------------------------------------------------------------

    def to_s
      ((name.nil? || name.empty?) ? '' : "#{name} - ") + "#{resource} - #{availabilty_restriction}"
    end

    #----------------------------------------------------------------------------

    private

  end
end
