ResourcePlanner::Engine.routes.draw do
  get '/calendar(/:year(/:month))' => 'calendar#index', :as => :calendar, :constraints => {:year => /\d{4}/, :month => /\d{1,2}/}
  get '/calendar/f(/:year(/:month))' => 'calendar#index_fullcalendar', :as => :calendar_fullcalendar, :constraints => {:year => /\d{4}/, :month => /\d{1,2}/}
  get '/calendar/k(/:year(/:month))' => 'calendar#index_kendoui', :as => :calendar_kendoui, :constraints => {:year => /\d{4}/, :month => /\d{1,2}/}
  #get '/event/new/f', to: 'resource_planner/calendar#index_fullcalendar', :as => :fullcalendar
  #get '/event/new/k', to: 'resource_planner/calendar#index_kendoui', :as => :kendoui

  resources :events

  get 'overview' => 'overview#index'

  root :to => 'calendar#index_fullcalendar'
end
