class CreateEventSubscriptions < ActiveRecord::Migration[4.2]
  def change
    ActiveRecord::Base.transaction do
      create_table :resource_planner_event_subscriptions do |t|
        t.string :name

        t.references :event
        t.references :resource, :polymorphic => true

        t.timestamps :null => false
      end
    end
  end
end
