module ResourcePlanner
  class EventSubscription < ActiveRecord::Base

    belongs_to :event
    belongs_to :resource, :polymorphic => true

    #----------------------------------------------------------------------------

    #attr_accessible :name
    #attr_accessible :event, :event_id
    #attr_accessible :resource, :resource_id, :resource_type

    #----------------------------------------------------------------------------

    validates :event, :presence => true
    validates :resource, :presence => true

    #----------------------------------------------------------------------------

    def to_s
      ((name.nil? || name.empty?) ? '' : "#{name} - ") + "#{event} - #{resource}"
    end

    #----------------------------------------------------------------------------

    private

  end
end
