class CreateEvents < ActiveRecord::Migration[4.2]
  def change
    ActiveRecord::Base.transaction do
      create_table :resource_planner_events do |t|
        t.references :parent_event, :default => nil

        t.string :name
        t.datetime :start_at
        t.datetime :end_at
        t.boolean :all_day, :default => false

        t.text :ical_expression

        t.timestamps :null => false
      end
    end
  end
end
