class CreateAvailabiltyDateDefinitions < ActiveRecord::Migration[4.2]
  def change
    ActiveRecord::Base.transaction do
      create_table :resource_planner_availabilty_date_definitions do |t|
        t.string :name

        t.references :resource, :polymorphic => true
        t.references :availabilty_date

        t.timestamps :null => false
      end
    end
  end
end
